Subject: Re: bug#25482: 26.0.50; Allow setting `query-replace-from-to-separator` to nil

From: Juri Linkov <[email-masked]>
Date: Tue, 14 Feb 2017 02:04:45 +0200

> Thanks, but please also update NEWS and the Emacs manual with the
> information about the new nil value of the separator.

I updated NEWS, but not the Emacs manual because the new nil value
is useful only for some old users (who want its old behavior),
not for new users.

> (Maybe it's a good idea to describe in the ELisp manual the structure
> of query-replace-history elements?)

Currently the structure of query-replace-history is very simple, but in
bug#25591 we are going to find a solution to store more meta-information
in the replacement history that might require documenting it in the
ELisp manual.